import React from 'react'
import { connect } from 'react-redux'
import { Route, Link} from 'react-router-dom';
import Notice from '@/components/Notice'

class Children extends React.PureComponent {
  constructor(props){
    super(props)
    console.log( this.props)
    let url = this.props.match.url;
    this.state = {
      url : url
    }
  }
  componentWillMount () {

  }
  componentDidMount  () {

  }
  componentWillUnmount () {

  }
  render() {
    return <div>
        <p>notice-data:[{this.props.data}]</p>
        <p>user-name:[{this.props.name}]</p>
        <p><Link to={`${this.state.url}/apple`}>apple</Link></p>
        <p><Link to={`${this.state.url}/orange`}>orange</Link></p>
        <Route path={`${this.state.url}/apple`} component={apple}></Route>
        <Route path={`${this.state.url}/orange`} component={orange}></Route>
        <Route exact path={this.state.url} render={() => (
          <h3>I am children。</h3>
        )}/>
    </div>
  }
}

const apple = ({match}) => (
  <div>I am a apple<Notice/></div>
)

const orange = () => (
  <div>I am a orange</div>
)

const mapStateToProps = (state, ownProps) => {
  return {
    data: state.Notice.data,
    code : state.Notice.code,
    name : state.User.name
  }
}

export default connect(
  mapStateToProps
)(Children)
