import React from 'react'
import { Redirect} from 'react-router-dom';
import TableList from '@/components/common/TableList'

export default class User extends React.PureComponent {
  constructor(props){
    super(props)
    this.state = {
      redirect:false
    }
    this.clickHandle = () => {
      this.setState({redirect:true})
    }

    this.childMethod = this.childMethod.bind(this);
  }
  childMethod () {
    console.log(this.refs.tableref.props)
    this.refs.tableref.testInfo();
  }
  componentWillMount () {

  }
  componentDidMount  () {

  }
  componentWillUnmount () {

  }
  render() {
    if(this.state.redirect){
      return <Redirect push to="/book/2?aa=1" />
    }

    let datas = {
      columnkey: ['id','name','age','country'],
      name: ['ID','姓名','年龄','国家'],
      val: [
        {id:1,name:'张三',age:18,country:'中国'},
        {id:2,name:'李四',age:50,country:'美国'},
      ]
    }

    return <div>
          <p><button onClick={this.clickHandle}>跳转到Book</button></p>
          <p><button onClick={this.childMethod}>调用子组件方法</button></p>
          <TableList infos={datas} ref="tableref"></TableList>
          </div>
  }
}
