import React from 'react'
import PropTypes from 'prop-types'

export default class TableList extends React.PureComponent {
  constructor(props){
    super(props)

    this.state = {
      names: this.props.infos.name,
      columnkey: this.props.infos.columnkey,
      values: this.props.infos.val
    }

    this.testInfo = this.testInfo.bind(this);
  }
  testInfo () {
    console.log('test'+this.state.names)
  }
  componentWillMount () {

  }
  componentDidMount  () {

  }
  componentWillUnmount () {

  }
  render() {
    let names = this.state.names.map((name) => {
      return <th key={name}>{name}</th>
    });
    let infos = this.state.values.map((val,i) => {
      let tds = this.state.columnkey.map((key) => {
        return <td key={key}>{val[key]}</td>
      })
      return <tr key={val.id}>{tds}</tr>
    })
    return <div className="tableWrap">
        <table>
            <thead>
            <tr>
              {names}
            </tr>
            </thead>
            <tbody>
              {infos}
            </tbody>
        </table>
    </div>
  }
}
TableList.defaultProps = {

}
TableList.propTypes = {
  infos:PropTypes.shape({
    name:PropTypes.array.isRequired,
    columnkey:PropTypes.array.isRequired,
    val:PropTypes.arrayOf(PropTypes.object).isRequired
  })
}
