import request from  'superagent-bluebird-promise'

const HttpService = {
  getInfo: function (url,params) {
        let paramsArr = ['r='+Math.random()];
        if(params){
          for(let k in params){
            paramsArr.push(k + '=' + params[k]);
          }
        }
        url = url.indexOf("?") > -1 ? url : (url+'?');
        url += paramsArr.join("&");

        return new Promise(function (resolve, reject){
          request.get(url,{}).set('Accept', 'application/json').then(function (data) {
            resolve(data.body);
          },function (data) {
            reject(data);
          });
        });
    },
    postInfo: function (url,params) {
      if(!params){params = {}}
      params.r = Math.random();

      return new Promise(function (resolve, reject){
        request.post(url,params).set('Accept', 'application/json').then(function (data) {
          resolve(data.body);
        },function (data) {
          reject(data);
        });
      });
    }
}

export default HttpService;
