import React from 'react'
import { connect } from 'react-redux'

class NoticeUI extends React.PureComponent {
  constructor(props){
    super(props)
    console.log( this.props)

    this.state = {
      value: ''
    };
    this.handleChange = this.handleChange.bind(this);
  }
  handleChange(event) {
    this.setState({value: event.target.value});
    this.props.changeName(event.target.value);
  }
  componentWillMount () {

  }
  componentDidMount  () {

  }
  componentWillUnmount () {

  }
  render() {
    return <div>
      store.......<button onClick = {this.props.onClick}>改变notice-data|code</button>
      <p>notice-code:[{this.props.code}]</p>
      <p>user-name:[{this.props.name}]</p>

      <div><input type='text' value={this.state.value} onChange={this.handleChange} placeholder="改变user-name"/></div>
    </div>
  }
}

const mapStateToProps = (state, ownProps) => {
  return {
    data: state.Notice.data,
    code : state.Notice.code,
    name : state.User.name
  }
}

const mapDispatchToProps = (dispatch, ownProps) => {
  return {
    onClick: () => {
      dispatch({
        type: 'TEST_DATA',
        data: 'hahahhahaha'
      })
    },
    changeName: (name) => {
        dispatch({
          type: 'USER_INFO',
          name: name
        })
    }
  }
}

let Notice = connect(
  mapStateToProps,
  mapDispatchToProps
)(NoticeUI);

export default Notice;
